Net::LDAPS(3)

NAME
Net::LDAPS - use LDAP over an SSL connection

SYNOPSIS
 use Net::LDAPS;

 $ldaps = Net::LDAPS->new('myhost.example.com',
                          port => '10000',
                          verify => 'require',
                          capath => '/usr/local/cacerts/');

 # alternate way
 use Net::LDAP;

 $ldaps = Net::LDAP->new('ldaps://myhost.example.com:10000',
                         verify => 'require',
                         capath => '/usr/local/cacerts/');

DESCRIPTION
Communicate using the LDAP protocol to a directory server using an encrypted (SSL) network connection. This mechanism is non-standard but widely supported; consider using LDAPv3 with the standard TLS extension if possible (many servers do not support it yet.) See "start_tls" in Net::LDAP.

All the normal "Net::LDAP" methods can be used with a "Net::LDAPS" object; see Net::LDAP for details.

CONSTRUCTOR

new ( HOST [, OPTIONS ] )
    Create a new connection. HOST is the hostname to contact. OPTIONS is a number of key/value pairs. See "new" in Net::LDAP for details.

SEE ALSO
Net::LDAP, IO::Socket::SSL

BUGS
You cannot have more than one LDAPS connection at any one time, due to restrictions in the underlying Net::SSLeay code.

AUTHOR
Chris Ridd <chris.ridd@isode.com>

COPYRIGHT
Copyright (c) 2000-2004, Chris Ridd and Graham Barr. All rights reserved. This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.